Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.recordtype
Class RepeatingFieldWriter

    java.lang.Object
      com.servingxml.components.flatfile.recordtype.RepeatingFieldWriter

All Implemented Interfaces:
  FlatRecordFieldWriter

    public class RepeatingFieldWriter

extends java.lang.Object
implements FlatRecordFieldWriter

Constructor Summary
`RepeatingFieldWriter(int start, Formatter fieldFormatter, DefaultValue defaultValueEvaluator, FlatFileOptions flatFileOptions)`

Method Summary
`void` | `writeEndDelimiterTo(RecordOutput recordOutput)`
`void` | `writeField(ServiceContext context, Flow flow, Name fieldName, RecordOutput recordOutput)`
`void` | `writeField(ServiceContext context, Flow flow, RecordOutput recordOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatingFieldWriter

    public RepeatingFieldWriter(int start,
                                Formatter fieldFormatter,
                                DefaultValue defaultValueEvaluator,
                                FlatFileOptions flatFileOptions)

Method Detail

### writeField

    public void writeField(ServiceContext context,
                           Flow flow,
                           RecordOutput recordOutput)

  Specified by:
    `writeField` in interface `FlatRecordFieldWriter`

### writeField

    public void writeField(ServiceContext context,
                           Flow flow,
                           Name fieldName,
                           RecordOutput recordOutput)

  Specified by:
    `writeField` in interface `FlatRecordFieldWriter`

### writeEndDelimiterTo

    public void writeEndDelimiterTo(RecordOutput recordOutput)

  Specified by:
    `writeEndDelimiterTo` in interface `FlatRecordFieldWriter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD